## org.eclipse.wst.server.core
Interface IRuntimeLifecycleListener

All Known Implementing Classes:
  RuntimeLifecycleAdapter

    public interface IRuntimeLifecycleListener

Listener interface for changes to runtimes.

This interface is fired whenever a runtime is added, modified, or removed. All events are fired post-change, so that all server tools API called as a result of the event will return the updated results. (for example, on runtimeAdded the new server will be in the global list of runtimes (`ServerCore.getRuntimes()`), and on runtimeRemoved the runtime will not be in the list.

Since:
  1.0
See Also:
  `ServerCore`, `IRuntime`

Method Summary
`void` `runtimeAdded(IRuntime runtime)` A new runtime has been created.
`void` `runtimeChanged(IRuntime runtime)` An existing runtime has been updated or modified.
`void` `runtimeRemoved(IRuntime runtime)` A existing runtime has been removed.

Method Detail

### runtimeAdded

    void runtimeAdded(IRuntime runtime)

  A new runtime has been created.

  Parameters:
    `runtime` - the new runtime

### runtimeChanged

    void runtimeChanged(IRuntime runtime)

  An existing runtime has been updated or modified.

  Parameters:
    `runtime` - the modified runtime

### runtimeRemoved

    void runtimeRemoved(IRuntime runtime)

  A existing runtime has been removed.

  Parameters:
    `runtime` - the removed runtime